| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::ShaderFunctionMTL Class Referencefinal

`#include <shader_function_mtl.h>`

Inheritance diagram for impeller::ShaderFunctionMTL:

## Public Member Functions
| ~ShaderFunctionMTL () override
id< MTLFunction > | GetMTLFunction () const
Public Member Functions inherited from impeller::ShaderFunction
virtual | ~ShaderFunction ()
ShaderStage | GetStage () const
std::size_t | GetHash () const override
bool | IsEqual (const ShaderFunction &other) const override
Public Member Functions inherited from impeller::Comparable< ShaderFunction >
virtual std::size_t | GetHash () const=0

## Friends
class | ShaderLibraryMTL

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< ShaderFunctionMTL, ShaderFunction >
static ShaderFunctionMTL & | Cast (ShaderFunction &base)
static const ShaderFunctionMTL & | Cast (const ShaderFunction &base)
static ShaderFunctionMTL * | Cast (ShaderFunction *base)
static const ShaderFunctionMTL * | Cast (const ShaderFunction *base)
Protected Member Functions inherited from impeller::ShaderFunction
| ShaderFunction (UniqueID parent_library_id, std::string name, ShaderStage stage)

## Detailed Description

Definition at line 15 of file shader_function_mtl.h.

## Constructor & Destructor Documentation

## ◆ ~ShaderFunctionMTL()

impeller::ShaderFunctionMTL::~ShaderFunctionMTL | ( |  | ) |
| override default

## Member Function Documentation

## ◆ GetMTLFunction()

id< MTLFunction > impeller::ShaderFunctionMTL::GetMTLFunction | ( |  | ) | const

Definition at line 18 of file shader_function_mtl.mm.

18 {
19 return function_;
20 }

Referenced by impeller::GetMTLComputePipelineDescriptor(), and impeller::GetMTLRenderPipelineDescriptor().

## Friends And Related Function Documentation

## ◆ ShaderLibraryMTL

friend class ShaderLibraryMTL
| friend

Definition at line 25 of file shader_function_mtl.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/metal/shader_function_mtl.h
- impeller/renderer/backend/metal/shader_function_mtl.mm